[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TDragDockObject.InitDock

Initializes the dragging coordinates.

## Declaration

Source position: controls.pp line 604

`protected procedure TDragDockObject.InitDock(`
`APosition: TPoint`
`); virtual;`

## Description

Determines the hotspot offset for adjusting the floating DockRect. Since the undocked extent of the control doesn't change while dragging, we fix the hotspot offset here.

Usage:

    OffsetRect(DockRect, FDockOffset);